Subject: Re: [patch net-next] devlink: bring port new reply back

From: Jakub Kicinski <[email-masked]>
Date: Tue, 30 May 2023 09:54:35 -0700

On Tue, 30 May 2023 08:38:29 +0200 Jiri Pirko wrote:
> From: Jiri Pirko <[email-masked]>
> 
> In the offending fixes commit I mistakenly removed the reply message of
> the port new command. I was under impression it is a new port
> notification, partly due to the "notify" in the name of the helper
> function. Bring the code sending reply with new port message back, this
> time putting it directly to devlink_nl_cmd_port_new_doit()
> 
> Fixes: c496daeb8630 ("devlink: remove duplicate port notification")
> Signed-off-by: Jiri Pirko <[email-masked]>

FWIW it should be fairly trivial to write tests for notifications and
replies now that YNL exists and describes devlink..